Qt 5.7 | Qt 3D | C++ Classes | QStencilTestArguments

Qt 5.7.1 Reference Documentation

# QStencilTestArguments Class

(Qt3DRender::QStencilTestArguments)

- List of all members, including inherited members

## Public Types

enum | StencilFaceMode { Front, Back, FrontAndBack }
enum | StencilFunction { Never, Always, Less, LessOrEqual, ..., NotEqual }

## Properties

- comparisonMask : uint
- faceMode : const StencilFaceMode
- referenceValue : int
- stencilFunction : StencilFunction

## Public Functions

| ~QStencilTestArguments()
uint | comparisonMask() const
StencilFaceMode | faceMode() const
int | referenceValue() const
StencilFunction | stencilFunction() const

## Public Slots

void | setComparisonMask(uint comparisonMask)
void | setReferenceValue(int referenceValue)
void | setStencilFunction(StencilFunction stencilFunction)

## Signals

void | comparisonMaskChanged(uint comparisonMask)
void | faceModeChanged(StencilFaceMode faceMode)
void | referenceValueChanged(int referenceValue)
void | stencilFunctionChanged(StencilFunction stencilFunction)

## Member Type Documentation

### enum QStencilTestArguments::StencilFaceMode

### enum QStencilTestArguments::StencilFunction

## Property Documentation

### comparisonMask : uint

Access functions:

uint | comparisonMask() const
void | setComparisonMask(uint comparisonMask)

Notifier signal:

void | comparisonMaskChanged(uint comparisonMask)

### faceMode : const StencilFaceMode

Access functions:

StencilFaceMode | faceMode() const

Notifier signal:

void | faceModeChanged(StencilFaceMode faceMode)

### referenceValue : int

Access functions:

int | referenceValue() const
void | setReferenceValue(int referenceValue)

Notifier signal:

void | referenceValueChanged(int referenceValue)

### stencilFunction : StencilFunction

Access functions:

StencilFunction | stencilFunction() const
void | setStencilFunction(StencilFunction stencilFunction)

Notifier signal:

void | stencilFunctionChanged(StencilFunction stencilFunction)

## Member Function Documentation

### QStencilTestArguments::~QStencilTestArguments()

Destroys the instance of QStencilTestArguments.